#ifndef _KGR_PATCH_BSC1187687_H
#define _KGR_PATCH_BSC1187687_H

struct sock;
struct sk_buff;
struct sadb_msg;

int kgrp_pfkey_dump(struct sock *sk, struct sk_buff *skb, const struct sadb_msg *hdr, void * const *ext_hdrs);


#if IS_MODULE(CONFIG_NET_KEY)

int kgr_patch_bsc1187687_init(void);
void kgr_patch_bsc1187687_cleanup(void);

#define KGR_PATCH_BSC1187687_FUNCS				\
	KGR_PATCH_OBJ(pfkey_dump, kgrp_pfkey_dump, "af_key"),	\

#else /* !IS_MODULE(CONFIG_NET_KEY) */

int kgr_patch_bsc1187687_init(void);
static inline void kgr_patch_bsc1187687_cleanup(void) {}

#define KGR_PATCH_BSC1187687_FUNCS			\
	KGR_PATCH(pfkey_dump, kgrp_pfkey_dump),	\

#endif /* !IS_MODULE(CONFIG_NET_KEY) */

#endif /* _KGR_PATCH_BSC1187687_H */
